Skip to main content
POST
/
v1
/
knowledge-bases
Create knowledge base
curl --request POST \
  --url https://api.oneinbox.ai/v1/knowledge-bases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "chunk_size": 512,
  "multilingual": false
}
'
{
  "id": "kb_abc123",
  "name": "Product Docs",
  "chunk_size": 512,
  "multilingual": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from the OneInbox dashboard (API Keys → Create)

Body

application/json
name
string
required
chunk_size
integer
default:512
multilingual
boolean
default:false

Response

201 - application/json

Created

id
string
name
string
chunk_size
integer
multilingual
boolean
created_at
string<date-time>